2020-08-15 19:03 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004181Lionheart[All Projects] Generalpublic2020-06-28 16:35
ReporterHexaae 
Assigned ToPsygoreProject InfoLionheart (Thalion)
http://www.whdload.de/games/Lionheart.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
Summary0004181: Horizontal line glitch. Please, can you force the SLAVE to run in ECS Denise
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 2.2 (07.08.14)

Horizontal line glitch.
Please, can you force the SLAVE to run in ECS Denise mode to workaround minor gfx glitch of horizontal line when scrolling up/down?
See link: bit.ly/2YH37UB
TagsNo tags attached.
MachineUAE
CPU68040
CPUSpeed75
ChipSetAGA
GFXCardOther
ChipMem2 MB
FastMem512 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftOther
WHDLoad18.5
importedyes
Attached Files
  • ? file icon Lionheart23.lha (2,055 bytes) 2020-05-15 01:01
  • ? file icon Lionheart23a.lha (2,052 bytes) 2020-05-17 01:35
  • ? file icon Lionheart23b.lha (2,264 bytes) 2020-05-25 15:54
  • ? file icon Lionheart23c.lha (2,511 bytes) 2020-05-28 13:25
  • ? file icon Full Manual (19,481 bytes) 2020-06-03 23:20 -
                                             LIONHEART    
    
    
    Lionheart
    by Jury Horneman
    
    "Let me go, you dogs!" Valdyn cursed as the jailers dragged him through the marble
    corridors of the palace. Only two days ago he had been gambling in the Bloodied Claw, his
    favourite inn, when the royal guards had entered and arrested him. He'd been rotting away
    in a foul-smelling cell ever since, only coming out for some air and a beating once a day.
    He'd had more than enough of this. Yes, he had done some things which the law frowned upon,
    but so had every other cut-throat in the Claw, and many times worse as well. But the
    soldiers had just marched in, put him in chains and dragged him off to the palace, kicking
    and hissing. At least they hadn't returned unharmed. Valdyn had managed to make them regret
    coming before they had beaten him unconscious. He noticed that he was being taken through
    ever richer parts of the palace, and once again he wondered why he had been arrested. They
    stopped before a huge door flanked by fierce-looking guards. He was handed over and the
    jailers left. The guards eyed him suspiciously, whiskers quivering, as Valdyn drew himself
    up to his full height and gave them a cold stare. One of them walked to the door and
    knocked. "Enter," said a voice almost immediately. The guard opened the heavy door and
    looked threateningly at Valdyn, who cast one last disdainful look at him and walked proudly
    through the doorway. He entered a small, but richly decorated audience chamber. An
    ornamented throne stood on a low dais on the other side of the room. On the throne sat a
    grey-whiskered man. Valdyn looked more closely. It was the king himself! Valdyn had only
    seen him on special occasions, such as the Showing Festival, which would be in three days.
    Now Valdyn knew he was in trouble! The king cleared his throat and said :
    
    "You are Valdyn." Valdyn nodded. "You are called 'Lionheart , the king continued, "because
    of your reckless courage and your fierceness." He chuckled. "How appropriate." Valdyn
    frowned. What did this man want of him ? Although he had broken the laws often enough, he
    had never acted directly against the monarchy. "Do you know about the Lionheart, Valdyn ?"
    Valdyn hesitated. This had to be some kind of trick. Everyone knew about the holy jewel,
    from which he himself had gotten his nick-name. Hadn't the king said so himself just now ?
    "Of course," replied Valdyn. "My Lord," he added as an afterthought. The king frowned. "And
    you know what's going to happen in three days time ?" "The Showing Festival ?" Valdyn
    frowned. What game was this ? Was he being blamed for some kind of crime he didn't know
    about ? "You have to show the Lionheart to your people." "To prove my divine right to rule,
    yes." The king looked pensively at a beautiful fresco which covered the entire wall on his
    right, depicting one of his ancestors in a heroic battle. After some time, Valdyn started
    to clear his throat when the , king suddenly turned to him. "The Lionheart has been
    stolen."
    
    Valdyn was shocked despite himself. The Lionheart was the holiest relic of his people, the
    centre of their religion. It was reputedly impossible to steal. "How was it done ? Who did
    it ?" The king stared somberly at him. "It was done by master thieves. No others could have
    disarmed all the traps. They must have been accompanied by a mage as well, since all the
    magical protectors were removed. They knew exactly what to expect." "You mean they had help
    from the inside." The king nodded. "As to who did it, we have reason to believe that the
    thieves were sent by Norka." Valdyn widened his eyes in wonder. "Why would he do that ? I
    thought he was happy in his wilderness." "No more. Reports reached us saying that he was
    creating an army. We sent some emissaries with messages of peace, and they told us that
    Norka has built a flying castle, and a fleet of air-ships. The last information that
    reached us is that he is building a giant fortress near our border and has amassed a huge
    army. That was two months ago." The king sighed. "We sent more spies and emissaries, but
    they never returned." "Why don't you just send in an army ?" The king frowned. "Even if we
    could match Norka's strength, which we no longer can, for such an affair I would need
    divine blessing, and thus I would have to show the Lionheart." Valdyn thought about this.
    He still had no idea why he had been summoned. He looked at the king. "Why are you telling
    me this ?" The king calmly looked back at him. Then he said : "I want you to bring back the
    Lionheart before the Festival begins." Valdyn's mouth fell open. Then he started laughing.
    He just couldn't stop. Tears ran down his face. After some time he managed to regain
    control of himself, and he looked at the king who looked back with a disgruntled expression
    on his face. "I am glad you are amused. Now, I won't be so foolish as to assume that you
    will do it out of loyalty to your rightful king. You probably know that arch-chancellor
    Nargle craves the throne, and would have deposed me already if it weren't for the
    Lionheart. I suspect he is the one who helped the thieves. I don't think he would make a
    very good king. But that is of no matter to you. I hereby offer you a rich reward if you
    return." Valdyn wiped the tears out of his eyes. "Why me ?" The king frowned even deeper.
    "Believe me, I would rather have sent one of my trusted veterans as well. At least they
    would have done it for free." He sighed deeply. "The high priest has asked the gods. It is
    your destiny to retrieve the Lionheart." He paused. "Did you really think your nick-name is
    a coincidence ?" Valdyn was serious now. Destined by the gods ? "I am sorry, my Lord," he
    said bowing, "but if the things I have heard about Norkas country are true, and if what you
    say is true as well, there is no reward in the world that could make me go there." "How
    about your life ?" Valdyn stood straight again. The king seemed completely serious. "You
    have seen my dungeons. Would you like to see my torture chambers ?" Valdyn swallowed. He
    had heard stories about the king's torture chambers. The torturers were unmatched in
    dedication and attention to detail. The king smiled at his unease. "Do not worry, you won't
    go to Norka unprepared. We have a small dragon for you. You can fly straight to Norka's
    flying castle. Also, the high priest will imbue you with magical powers, increasing your
    resistance to pain and damage, and allowing you to regenerate should you be killed." Valdyn
    still didn't know what to say. He had planned to lead his easy life of drinking, fighting
    and robbing forever. Now this. The king coughed. "There is one more reason for you to go.
    Don't you have a relationship with a girl called Ilene ?" Valdyn nodded, suddenly scared.
    What did Ilene have to with this ? He never took her with him. She was too... innocent for
    his kind of work. "What does Ilene have to do with this ?" The king hesitated. "Apparently
    she was praying in the Temple's entrance chamber the night the Lionheart was stolen."
    Valdyn gasped. Not Ilene I "Is she dead ? Did they kill her ?" "No. They turned her to
    stone." Valdyn covered his eyes with his hands. No I "Can it be cured ?" His voice
    trembled. "Yes. She was petrified by a dart dipped in a very rare poison which can only be
    found in Norka's country. If there is a cure, there would be the place to look." Valdyn
    removed his hands and gazed at the king. He no longer stood proudly. The threat of anarchy,
    of torture, and now what they had done to Ilene. He had to go. The king saw his decision.
    "Very well," he said. "Come. You will be escorted to the temple. There you can prepare for
    your quest."
    
    
    VIRUS WARNING
    Original LIONHEART diskettes supplied by us are guaranteed virus-free. To protect the
    program from virus damage you should first switch off the computer and all peripherals
    (second disk drive, monitor, etc.) for at least 30 seconds each time you load the program.
    This is the only way to ensure that there is no virus held in the computer's memory.
    Thalion Software GmbH cannot accept any responsibility under the guarantee for damage to or
    corruption of the program or data either in whole or in part due to the effects of a virus
    or the use of anti-Virus software.
    
    
    LOADING INSTRUCTIONS
    To run LIONHEART you need a Commodore Amiga 500, 500 Plus, 600, 1200, 2000 or 3000 computer
    with at least 1 MB of RAM. If you want to install the game on your hard-disk, you will need
    a minimum of 1.5 MB of RAM. Any extra memory available will be used, as will faster
    processors on turbo cards! Check that the original diskettes are write-protected (the write
    protect hole must be open). The program is not copy-protected and can be installed on most
    hard-disks. It is therefore advisable either to make a working copy of the original or
    install the program on the hard-disk. Please follow the procedure explained under the Virus
    Warning above. To install the program on the hard-disk, boot your machine in the normal way
    and insert the LIONHEART Diskette 1 into the DFO: drive. In Workbench, open the diskette
    icon and double-click on the installation procedure. Follow the instructions on the screen.
    Please note that the program cannot be installed on a small number of hard-disks. The
    reasons for this are: - The hard-disk driver is installed in Chip-RAM, not in Fast-RAM. -
    The hard-disk driver uses the blitter. - The hard-disk driver uses unusual interrupts.
    These drivers are the exception. If you have a hard-disk with a driver which falls into one
    of the above categories, you will probably not be able to install LIONHEART on it. To run
    the program from the hard-disk, double-click on the LIONHEART icon in the installed
    directory. The following should be noted when installating onto the hard-disk of any
    computers not equipped with Fast-Ram, i.e. the A600HD, with only 2 MB of Chip-RAM: Each
    time you load the start-up program for the first time, it will carry out a reset. This
    allocates the available Chip-Ram. It is then neccessary to do a restart and load the game
    itself. To run the program from the working copy, switch off the computer and the
    peripherals. Insert Diskette 1 of the game into the internal drive (DFOi), then switch on
    your monitor and computer again. The program will load and start automatically.
    
    
    INTRO
    You are at the first level if the intro appears on the screen on loading. To stop the
    Intro, press the fire button on your joystick.
    
    
    MAIN MENU
    From the main menu you can start the game, select various options, look at the
    instructions, or, if you loaded the program from the hard-disk, you can go back to the
    Workbench. From the main menu you only need diskette 2, unless you want to see the lntro,
    in which case you will need diskette 1.
    
                                            Start game
    Once you have selected your options in the Introduction, you're ready to go on the Quest
    for Lionheart.
    
                                              Options
    Difficulty
    Set the difficulty level to Normal or Hard - Weaklings are not catered for.
    
    Joystick
    You can install joysticks equipped with two electrically independent buttons.
    
    Soundtest
    Music 00 switches the sound off. The other values provide various different sound-tracks.
    
    Done
    Returns you to the main menu.
    
                                           Introduction
    Starts the "Intro" again.
    
                                               Quit
    Returns you to the Workbench. The game ends. This menu is only available if LlONHEART is
    installed on a hard-disk and your computer has at least 1.8 MB of RAM.
    
    
    CONTROLS
    Valdyn is controlled by the joystick connected to the second socket on your computer.
    
    Joystick  Right                                     Valdyn goes right
    Joystick  Left                                      Valdyn goes left
    Joystick  Up                                        Valdyn jumps up
    Joystick  Down                                      Valdyn ducks
    Joystick  Up  and  Right                            Valdyn jumps to the right
    Joystick  Up and  Left                              Valdyn jumps to the left
    
    The Jump function is proportionally controlled; push the stick up a little and Valdyn only
    does a little jump. Push it up further and Valdyn jumps as high and far as he can.
    
    The fire button has a special function.
    Press and hold the fire button                      Valdyn draws his sword
    Release the fire button                             Valdyn sheathes his sword
    
    Please note that Valdyn sheathes his sword as soon as you let go of the fire button and
    that he only draws his sword and goes "En Garde" when you press the fire button, i.e. he
    does not lunge.
    
    With the  Fire  Button  depressed:
    Joystick  Right                                     Horizontal thrust of the sword to
                                                        the right
    Joystick  Left                                      Horizontal thrust of the sword to the
                                                        left
    Joystick  Up                                        Sword thrusts upwards at an
                                                        angle
    Joystick  Down                                      Valdyn ducks
    
    Crouched, with the  Fire  Button  depressed:
    Joystick  Right                                     Kick to the right
    Joystick  Left                                      Kick to the left
    Joystick  Up                                        Valdyn stands up
    
    Valdyn can climb along or hang on to certain ropes and ledges and can balance on or walk
    along the ropes. To do this, make him jump onto the rope or the ledge. To fight when he is
    hanging, press the fire button. If you use a joystick with two electrically independent
    firing buttons, the first button (often referred to as fire button A or 1) is used for
    "drawing the weapon" and the second (fire button B or 2) is used for "jumping".
    Proportionally controlled jumping is then controlled with fire button 2.
    
    The battle strike
    The most effective method of attack Valdyn knows is the battle strike.
    For this, pull the stick down during the jump and press the fire button. You must press the
    fire button several times to strike repeatedly.
    
    In addition, use the following keys on the keyboard:
    [P]                                                 To pause the game
    [Esc]                                               To interrupt the game
    
    Confirm at the prompt by pressing [Esc] again if you wish to end the game. Pressing any
    other key returns you to the game.
    [I]                                                 Background colour interlace mode
                                                        on/off.
    
    DISPLAYS
    During the game certain details are displayed at the top of the screen. At the left-hand
    side are two rows of hearts shown in three different conditions. The number of bright red
    hearts shows the total energy of one of Valdyn's lives. If Valdyn makes contact with an
    opponent, one of the bright red heart turns dark red. The total number of bright red and
    dark red hearts shows the maximum energy of Valdyn on one level. Hearts which are only
    shown in outline are inactive. Further details are given under "BONUS POINTS, Energy
    Crystals" and "Energy Drinks". Next to the hearts is the display of the energy crystals
    already collected, which you need to increase Valdyn's energy. Next to the crystal display
    is a sword indicating a value. Valdyn may find various different swords along his way. The
    striking power of the sword is shown here. The number of lives remaining for Valdyn is
    shown at the far right. He loses one of his lives when the last bright red heart turns dark
    red. Various special actions are displayed in the top right-hand corner of the screen:
    -  If you need to change the diskette, an animated diskette symbol appears showing the
       number of the diskette required.
    -  In many cases disk access is shown by a rotating disc symbol.
    -  Pauses are indicated by the pause symbol.
    -  A warning message appears if you wish to end the game (by pressing [Esc]).
    
    
    BONUS POINTS
    Energy  Crystals
    Collect all the energy crystals you can find. When you have the requisite number, the
    active heart count increases by one, i.e. one of the inactive hearts is activated.
    
    Energy  Drinks
    There are two different sizes of phials containing energy drinks to be found on the levels.
    The small phials regenerate one of the dark red hearts, and turn it bright red. The large
    phials regenerate all the active dark red hearts so that maximum life energy is again
    available to Valdyn. All the active hearts turn back to bright red.
    
    Life  Spheres
    In a few areas you will find glowing life spheres which give Valdyn another new life. The
    display at the top right on the screen is increased by one.
    
    Swords
    Valdyn starts his search armed only with a simple sword. Look around carefully - you will
    find much better and more powerful weapons along the way. Keep an eye on the sword display
    on the screen.
    
    
    TIPS
    Familiarise yourself with the controls. Practice all the movements and battle strikes
    before you go searching for Lionheart. You should especially practice the battle strike
    jump: many of your opponents can be destroyed with this in one single hit! To repeat the
    battle strike several times you need only press the fire button again whilst pulling down
    on the joystick. If Valdyn hits his opponent, Valdyn is catapulted upwards. On each level
    there are hidden things which make the task easier for you. On most levels there is also a
    secret area which is very carefully concealed. If you cannot progress on one level, search
    through the previous levels in case you missed the bonus points which would make it easier
    for you to progress. Note that Valdyn always runs faster up or down slopes. This fact can
    be used to make him jump further. Valdyn is a member of the Cat People race. If he has to
    cross a river or get through a flooded passageway you must remember that he cannot swim.
    For this reason, it is essential that you always keep his head above water.
    
    Many of the platforms Valdyn must stand on during his travels can be made to move like
    swings. Pull the joystick down during the swing to increase its movement. Move the joystick
    up to decrease the amount of swing. By the way...
    In modus "HARD" you will not only be attacked by harder enemies; we also changed the levels
    itself. That means, that you have got actually two games in one.
    
    
    
                                              CREDITS
    
                                      Game Design: Erik Simon
                                      Graphics: Henk Nieborg
                                    Sound: Matthias Steinwachs
                          Programming: Erwin Kloibhofer, Michael Bittner
                                       Story: Jurie Horneman
                             Original Instructions: Harald Uenzelmann
                               Title illustration: Dieter Rottermund
                       Testers: Karsten Koper. Matthias Rieke, Manfred Renz
                                    Project Manager: Erik Simon
                       Special thanks to Wolfgang Breyha and Reinhardt Franz
                               Copyright (c) 1992: Thalion Software
                                       All rights reserved.
    
    
                                     <Edited by Hexaae (2018)>
    
    ? file icon Full Manual (19,481 bytes) 2020-06-03 23:20 +
  • ? file icon Lionheart23d.lha (2,855 bytes) 2020-06-04 05:51
  • txt file icon Lionheart_cheat.txt (830 bytes) 2020-06-06 00:40 -
                                     Lionheart
    
    Cheat mode:
     Press Down on the Joystick to crouch, then pause game play.
     While remaining crouched, hold [Ctrl] + [Help] until the screen begins to shake
     to enable cheat mode with unlimited lives. Press one of the following keys
     to activate the corresponding cheat function.
    
    Effect				        Key
    
    Level select				[F1] through [F10]
    Additional level select			1 through 5
    Ground shake				[Enter]
    Sound test				S
    Sound minus 1				[Cursor Up]
    Sound plus 1				[Cursor Down]
    Suicide					D
    Toggle one and two button joysticks     [Help]
    Toggle sounds				M
    Toggle free movement mode¹		[Ctrl]
    Unknown					[Space]
    
    ¹ Use the mouse to move your character, then press [Ctrl] again to place him at the
     current position. Press the Right Mouse Button to pause game play.
    
    txt file icon Lionheart_cheat.txt (830 bytes) 2020-06-06 00:40 +
  • txt file icon Lionheart_cheat_2.txt (808 bytes) 2020-06-06 00:43 -
                                     Lionheart
    
    Cheat mode:
     Press Down on the Joystick to crouch, then pause game play.
     While remaining crouched, hold [Ctrl] + [Help] until the screen begins to shake
     to enable cheat mode with unlimited lives. Press one of the following keys
     to activate the corresponding cheat function.
    
    Effect				        Key
    
    Level select				[F1] through [F10] and 1 through 5
    Ground shake				[Enter]
    Sound test				S
    Sound minus 1				[Cursor Up]
    Sound plus 1				[Cursor Down]
    Suicide					D
    Toggle one and two button joysticks     [Help]
    Toggle sounds				M
    Toggle free movement mode¹		[Ctrl]
    Unknown					[Space]
    
    ¹ Use the mouse to move your character, then press [Ctrl] again to place him at the
     current position. Press the Right Mouse Button to pause game play.
    
    txt file icon Lionheart_cheat_2.txt (808 bytes) 2020-06-06 00:43 +
  • ? file icon Lionheart23e.lha (3,011 bytes) 2020-06-08 08:36
  • ? file icon Lionheart23f.lha (3,019 bytes) 2020-06-15 08:20
  • txt file icon Lionheart_Cheat_3.txt (812 bytes) 2020-06-28 16:34 -
                                     Lionheart
    
    Cheat mode:
     Press Down on the Joystick to crouch, then pause [P] game play.
     While remaining crouched, hold [Ctrl] + [Help] until the screen begins to shake
     to enable cheat mode with unlimited lives. Press one of the following keys
     to activate the corresponding cheat function.
    
    Effect				        Key
    
    Level select				[F1] through [F10] and 1 through 5
    Ground shake				[Enter]
    Sound test				S
    Sound minus 1				[Cursor Up]
    Sound plus 1				[Cursor Down]
    Suicide					D
    Toggle one and two button joysticks     [Help]
    Toggle sounds				M
    Toggle free movement mode¹		[Ctrl]
    Unknown					[Space]
    
    ¹ Use the mouse to move your character, then press [Ctrl] again to place him at the
     current position. Press the Right Mouse Button to pause game play.
    
    txt file icon Lionheart_Cheat_3.txt (812 bytes) 2020-06-28 16:34 +

-Relationships
+Relationships

-Notes

note ~0008686

Pascal De Maeseneire (reporter)

Hi Hexaae,
Did You Try with ToolType NOVBRMOVE because with my A500 ACA500Plus, Horizontal line glitch were resolved.

note ~0008687

Hexaae (reporter)

Won't change. It's been confirmed by other users on EAB forum, and is a known issue on AGA. If you have ECS (A500) you're automatically safe.

note ~0008688

Pascal De Maeseneire (reporter)

Strange,
Because On my A1200 1D4 PAL AGA 2MB with GVP A1230Turbo+II @40MHZ+FPU WITH 32MB.
It seems works correctly without any tooltype (No horizontal line glitch)

But with my A500ECS ACA500PLUS @7MHZ AND 7MB FAST WITHOUT ToolType NOVBRMOVE,I Had full line glitch.
please could You add a Youtube Video link or something like that...
Best regards,
Pascal

note ~0008689

Pascal De Maeseneire (reporter)

Here my other note about this game
http://mantis.whdload.de/view.php?id=4556#c8470

note ~0008710

Psygore (developer)

Could you pls try the attached slave 2.3 ?

note ~0008717

Pascal De Maeseneire (reporter)

Hi,
I Try your lastest slave v2.3,

On my A500 ECS ACA500PLUS (CPU 68000) @14 MHZ WITH 7MB FAST Plus it's OK but need ToolType NOVBRMOVE

On my A1200 1D4 PAL AGA 2MB with GVP A1230Turbo+II (CPU 68030+FPU) @40MHZ WITH 32MB FASt, all seems to works correctly without any Tooltypes.
Best Regards,
Pascal

note ~0008718

Hexaae (reporter)

@Psygore
Still the same horizontal line glitch exactly when the parallax ends and the mountains start. You must have a big tree or something behind Valdyn to notice the glitch.

BTW, CUSTOM4=1 Up-with-2nd-button doesn't work anymore with beta 2.3...

note ~0008742

Psygore (developer)

The CD32 buttons and custom4 were disabled.

The attached slave 2.3a should work ok now and the gfx glitch fixed.

note ~0008743

Hexaae (reporter)

Button fixed but I can still see the horizontal line glitch with AGA.

note ~0008744

Pascal De Maeseneire (reporter)

Hi,
With Slave 2.3a all works with my Both systems

Aca500PLUS (68000) @14 MHZ with toolType NOVBRMOVE
Aca500PLUS (68000) @28 MHZ without toolType NOVBRMOVE

Real A1200 AGA 68030+FPU @40 MHZ with 32 MB (GVP A1230Turbo+II) => without Horizontal line glitch

Best Regards,
Pascal

note ~0008746

Hexaae (reporter)

@Psygore
Here are my exe(s). I'm currently using the one out of the Others backup dir...
https://anonfile.com/vb2amd0bo0/lione_lzx

note ~0008748

Psygore (developer)

The 3 versions are supported, I didnā€™t see any line glitch under WinUAE 4.3.0 now with the slave 2.3a (I played in fullscreen mode).

Could you make a screenshot of the bug ?

note ~0008760

Hexaae (reporter)

Here is a video. Look at the big tree in the last part (1:05) while Valdyn is jumping...

https://streamable.com/ee37uw

In the bottom left the tooltypes I use to degrade system before launch (uae-configuration...).
I remember the same bug on my A1200 AGA long time ago, using the same Lionheart exe. The only workaround on WinUAE is forcing "chipset ecs" before you run the game and the shifted line will disappear.

note ~0008848

Psygore (developer)

OK, thx for the video. I see now.

Pls try the attached slave 2.3b, all lines glitch are removed on AGA now (I hope ;)

note ~0008849

Hexaae (reporter)

Fixed! :)
...but introduced a new minor glitch: vertical line (1 pixel) to the right border: https://streamable.com/niby83

note ~0008850

Hexaae (reporter)

Reminds me this other border glitch for Beast (now fixed): http://eab.abime.net/showthread.php?t=98413&page=3

note ~0008855

Psygore (developer)

Btw, have you noticed the new clouds scrolling acceleration ?

note ~0008857

Hexaae (reporter)

Oooh.... you did it! You're my hero Psygore! :D

So the only 2 glitches left in this glorious game ATM are:
1. vertical borders glitches (left and right, see the Agony/Beast case on the EAB thread)
2. water gfx glitch: when there are no sprites behind (trees, platforms...) in the water are visible some parallel horizontal lines at the right-border... I know also ross mentioned it on EAB threads

note ~0008858

Hexaae (reporter)

Water glitch: https://i.ibb.co/tKhLHtG/image.png

note ~0008859

Psygore (developer)

Attached new slave 2.3c for fixing vertical borders glitches.

I will see if water gfx glitch could be removed without too much work.

note ~0008861

Hexaae (reporter)

Great!

Sorry, maybe now I'm asking too much... ;) but there's always been also this small glitch in Lev1 right after the "wasps" in the map where you have to climb up rotating platforms: https://i.ibb.co/fv31Dvg/image.png
In the map Thalion probably forgot to add a square background sprite for this plant. But I'm afraid this would probably require too much work (analyze map format, found the exact position and add missing sprite)... So never mind in case.

Thank you so much for these fixes! Lionheart was and still is one of the best platforms ever (not only for the Amiga) IMHO

note ~0008863

Pascal De Maeseneire (reporter)

Hi,
With Slave 2.3C all seems working correctly with my differents systems

Aca500PLUS (68000) @14 MHZ with toolType NOVBRMOVE

Real A1200 AGA 68030+FPU @40 MHZ with 32 MB (GVP A1230Turbo+II) => without Horizontal line glitch

Best Regards,
Pascal

note ~0008897

Hexaae (reporter)

Attached Full Manual for Lionheart.

note ~0008900

Psygore (developer)

Thanks for the manual, I will add it into the package.

I didn't find this rotating platform, where is it in level 1 ?

Attached new slave 2.3d which fixes the water gfx glitch.

@Pascal
Thanks the tests.

note ~0008901

Hexaae (reporter)

Hard or Lionhard lvl 1. The point in the map with "wasps" and you have to reach the top with jumping monster and 3 rotating platforms, then you go to the top-right...

note ~0008902

Hexaae (reporter)

I mean this location... going up and then to the right...
https://i.ibb.co/7vdZh7Y/image.png

note ~0008903

Hexaae (reporter)

REQUEST: when you start outdoor lev 3, 5 etc. background starts in non-laced mode and you have to press I key to enable it, while it's autoamtically on in lvl 1. Would be possible to add a WHD option to automatically force laced mode with no need to press I in these levels?

P.S.
The water glitch is definitely fixed! Thank you so much!

note ~0008904

Hexaae (reporter)

Bug: 1st boss (should be lev. 6): https://i.ibb.co/0QPsMH3/image.png

note ~0008905

Hexaae (reporter)

To quickly reach this boss enable Cheat, press F5, press Ctrl and mouse-move Valdyn to the far-right at the end of level. Then press Ctrl again to release Valdyn and move right to begin the final boss stage.

note ~0008906

Hexaae (reporter)

(BTW, found also these Cheat docs that could be included in the final release: http://www.lemonamiga.com/games/cheats.php?id=687 )

note ~0008907

Pascal De Maeseneire (reporter)

@Psygore
Hi,
Sorry to repport that, BUT :

On my both and REAL A500ACA500PLUS & my A1200 A1230Turbo+II @40MHZ,
the latest beta slave v2.3d introduce some water gfx glitch
(some water pixels change to white color and return to good water color, then the bug repeat again and again)
On my real both amiga, I return to v2.3c really to compare it with v23d ...
I can confirm that v23C is better... No glitch with it...

note ~0008908

Hexaae (reporter)

@Pascal
Did you try to run the WHDLoad slave with NOCACHE? Are you using WHDLoad 18.6 from whdload.de/whdload/whd186.lha ? Check out also your S:Whdload-startup and software cfg (running blitter patches from WB etc?)...
I can't reproduce it on basic WinUAE A1200 + 8MB FAST cfg and boot without SSeq, at least on lvl 1 water. Does it happen in a specific location?

note ~0008909

Hexaae (reporter)

Lionheart cheat text uploaded.

note ~0008910

Pascal De Maeseneire (reporter)

@Hexaae
Hi,
Yesturday evening, just after Your post I quikly tried it under WINUAE 4.3.0 64 Bits
But Under WINUAE with WHDLOAD 18.5 or 18.6 the problem NEVER COME....
This week-end, I will retry it with WHDLOAD 18.6 on my real both Amiga but with tooltype NOCACHE I can already told you that the Graphics glitcht appears all along level 1 only in water and when moving the character (A1200 too).
With slave 2.3C there isn't any problems in the wather...
Don't You have any Real amiga to try it?
because WINUAE works correctly but it's an emulator and I suspect that it can't reproduce at 100% a real Amiga...only at 99.9%
Personnaly I use WINUAE (OS 3.5) to prepare and test all of my WHDLOAD games installations but I play only in real amiga. If I post this problem, if I post this problem it is to alert the other players and that they can try this on other real Amiga.
Best regards,
Pascal

note ~0008911

Hexaae (reporter)

Then I think we need more users with real HW to test the beta and confirm, I guess...

note ~0008912

Hexaae (reporter)

@Pascal De Maeseneire
...but one thing is sure: horizontal glitch was visible on my real Amiga1200 with AGA ON, as well as the horizontal lines water glitch. These were original game well known glitches. So is strange you said you couldn't reproduce them on your A1200.

note ~0008913

Pascal De Maeseneire (reporter)

My message is not for polemics but only to warn the programmer Psygore that the correction actually caused the opposite effect for me I think that actually the effect is much more beautiful with the slave v2.3c because there there is no flashing effects or water level as is the case with v2.3D I will make a Youtube video of the weekend proving what I say. In French there is an expression "the best is the enemy of the good". And I think that only the programmer must choose to what extent he should correct the game ... Because he cannot rewrite it completely ...

note ~0008916

Pascal De Maeseneire (reporter)

@Hexaae on first time and @psygore to show the problem with v2.3d
Hi,
You can find here my YouTube video who show the problem about Water GFX problem with v2.3d.
With v2.3c there is no problem with the water.
I remember You my config REAL A1200 1D4 PAL with GVP A1230 Turbo+II @40 MHZ with FPU and 32 MB RAM (Amiga OS 3.1.4.1).
On Vitual A1200 under WINUAE 4.3.0 64 Bit with WHDLOAD 18.5 or 18.6 the problem with the slave 2.3d NEVER COME...

Video Link : youtube.com/watch?v=YZvotidS8Uw
Best regards,
Pascal De Maeseneire

note ~0008918

Pascal De Maeseneire (reporter)

@Hexaae

About Water glitch: https://i.ibb.co/tKhLHtG/image.png,

I inform you that this glitch is present in the original game. this is not a WHDLOAD slave problem...

To verify it, I mounted the HFV3 converted IPF SPS 0845 images disk files in my Gotek HXC drive on my A500 ... The game start as a real original without any cracks on my A500 and the black bars are present on the screen but it's better than the problems with the glitch in the water.

Best regards,
PascalDe Maeseneire

note ~0008919

Hexaae (reporter)

Water flickering glitch after 2.3d confirmed on real hw by other users on EAB.

note ~0008920

Superman (reporter)

Also tested on A600 As well as A1200 and the glitch is present here also.

note ~0008921

Psygore (developer)

Thanks for the tests, water glitch confirmed on my A1200 too.

Attached a new slave 2.3e:
- missing tile in hard level 1.1 fixed
- bug boss screen fixed
- custom option for interlaced mode added
- water gfx fix should work on real HW now

note ~0008923

Pascal De Maeseneire (reporter)

Hi,
I just finish to test Your slave 2.3e on my A1200 but I have the same problems about water effet (same as 2.3d).

note ~0008924

Hexaae (reporter)

@Psygore
Interlaced: can you please add a Force interlace instead of Set No Interlace only?

note ~0008925

Hexaae (reporter)

@Psygore
Interlaced: oh sorry! Just realized you fixed it already: when "Set No Interlace" option is Off all 1-3-5... levels will be set to interlaced as expected, and when option is On will be off for all levels. Great!

note ~0008926

Hexaae (reporter)

Bug boss screen: previous bug is fixed, but I've noticed parallax cloud scrolling is quite strange in this boss stage as it is accelerating and decelerating even if you're not moving and cloud movements seems somewhat based on boss presence on screen...

note ~0008962

Psygore (developer)

Slave 2.3f attached:
- should not have glitch on real HW with the water gfx fix
- clouds scrolling fixed in boss level 5

note ~0008967

Pascal De Maeseneire (reporter)

@Psygore
Hi,
I just try Your slave 2.3f
For myself, it's really good on my both systems A1200 & A500ACA500Plus.
Many thanks for Your works...
Best regards,
Pascal

note ~0008969

Hexaae (reporter)

Unfortunately my PC is in RMA (will take at leask 1 week)... Will test it as soon as I can...

note ~0008972

Superman (reporter)

Looks ok to me on my A600 and A1200 also.

note ~0008976

Hexaae (reporter)

Viddi on EAB said "The new slave should support more Chip! Additional gfx are disabled atm.".... Is this true, and in case add more chip/fast-mem to the slave for additional gfx?

note ~0008984

Hexaae (reporter)

He's right some small additional gfx is missing: for example when you break vegetation (see https://youtu.be/7GiUwZxp0FI at 25:38)

note ~0008986

Psygore (developer)

Additional gfx is for cpu 68020+.

By default, the slave is in 68000 mode. It will be fixed, maybe a custom option could be added to switch.

note ~0008987

Hexaae (reporter)

Oh I see...
Yes user options for every new fix you implemented would be the best option IMHO (including correct clouds scrolling)

note ~0008988

Pascal De Maeseneire (reporter)

Hi,
About Custom Option for CPU 68020 & More ... why not.
Best regards,
Pascal

note ~0008996

Hexaae (reporter)

Small changes to Lionheart_Cheat text file. New upload.
+Notes

-Issue History
Date Modified Username Field Change
2019-08-12 21:38 administrator New Issue
2019-08-12 21:38 administrator Status new => assigned
2019-08-12 21:38 administrator Assigned To => Psygore
2020-05-13 21:23 Pascal De Maeseneire Note Added: 0008686
2020-05-14 01:29 Hexaae Note Added: 0008687
2020-05-14 01:57 Pascal De Maeseneire Note Added: 0008688
2020-05-14 02:02 Pascal De Maeseneire Note Added: 0008689
2020-05-15 01:01 Psygore File Added: Lionheart23.lha
2020-05-15 01:02 Psygore Note Added: 0008710
2020-05-15 02:57 Pascal De Maeseneire Note Added: 0008717
2020-05-15 03:40 Hexaae Note Added: 0008718
2020-05-17 01:35 Psygore File Added: Lionheart23a.lha
2020-05-17 01:37 Psygore Note Added: 0008742
2020-05-17 02:27 Hexaae Note Added: 0008743
2020-05-17 02:51 Pascal De Maeseneire Note Added: 0008744
2020-05-17 03:45 Hexaae Note Added: 0008746
2020-05-17 11:12 Psygore Note Added: 0008748
2020-05-17 20:14 Hexaae Note Added: 0008760
2020-05-25 15:54 Psygore File Added: Lionheart23b.lha
2020-05-25 16:02 Psygore Note Added: 0008848
2020-05-25 19:18 Hexaae Note Added: 0008849
2020-05-25 19:25 Hexaae Note Added: 0008850
2020-05-28 06:19 Psygore Note Added: 0008855
2020-05-28 11:12 Hexaae Note Added: 0008857
2020-05-28 11:27 Hexaae Note Added: 0008858
2020-05-28 13:25 Psygore File Added: Lionheart23c.lha
2020-05-28 13:31 Psygore Note Added: 0008859
2020-05-28 14:36 Hexaae Note Added: 0008861
2020-05-29 00:49 Pascal De Maeseneire Note Added: 0008863
2020-06-03 23:20 Hexaae File Added: Full Manual
2020-06-03 23:20 Hexaae Note Added: 0008897
2020-06-04 05:51 Psygore Note Added: 0008900
2020-06-04 05:51 Psygore File Added: Lionheart23d.lha
2020-06-04 10:23 Hexaae Note Added: 0008901
2020-06-04 11:56 Hexaae Note Added: 0008902
2020-06-04 11:59 Hexaae Note Added: 0008903
2020-06-04 15:07 Hexaae Note Added: 0008904
2020-06-04 15:15 Hexaae Note Added: 0008905
2020-06-04 15:21 Hexaae Note Added: 0008906
2020-06-05 22:14 Pascal De Maeseneire Note Added: 0008907
2020-06-06 00:10 Hexaae Note Added: 0008908
2020-06-06 00:40 Hexaae File Added: Lionheart_cheat.txt
2020-06-06 00:40 Hexaae Note Added: 0008909
2020-06-06 00:43 Hexaae File Added: Lionheart_cheat_2.txt
2020-06-06 10:03 Pascal De Maeseneire Note Added: 0008910
2020-06-06 11:31 Hexaae Note Added: 0008911
2020-06-06 11:38 Hexaae Note Added: 0008912
2020-06-06 14:24 Pascal De Maeseneire Note Added: 0008913
2020-06-07 16:27 Pascal De Maeseneire Note Added: 0008916
2020-06-07 18:13 Pascal De Maeseneire Note Added: 0008918
2020-06-07 19:58 Hexaae Note Added: 0008919
2020-06-07 21:03 Superman Note Added: 0008920
2020-06-08 08:35 Psygore Note Added: 0008921
2020-06-08 08:36 Psygore File Added: Lionheart23e.lha
2020-06-08 09:46 Pascal De Maeseneire Note Added: 0008923
2020-06-08 10:06 Hexaae Note Added: 0008924
2020-06-08 10:48 Hexaae Note Added: 0008925
2020-06-08 12:21 Hexaae Note Added: 0008926
2020-06-15 08:20 Psygore File Added: Lionheart23f.lha
2020-06-15 08:24 Psygore Note Added: 0008962
2020-06-15 11:30 Pascal De Maeseneire Note Added: 0008967
2020-06-15 14:27 Hexaae Note Added: 0008969
2020-06-15 20:28 Superman Note Added: 0008972
2020-06-18 22:33 Hexaae Note Added: 0008976
2020-06-21 10:38 Hexaae Note Added: 0008984
2020-06-22 09:49 Psygore Note Added: 0008986
2020-06-22 11:46 Hexaae Note Added: 0008987
2020-06-22 13:50 Pascal De Maeseneire Note Added: 0008988
2020-06-28 16:34 Hexaae File Added: Lionheart_Cheat_3.txt
2020-06-28 16:35 Hexaae Note Added: 0008996
+Issue History